Closed Bug 1817854 Opened 1 year ago Closed 1 year ago

Update harfbuzz to new version 7.0.1 from 2023-02-20 15:54:12

Categories

(Core :: Graphics: Text, enhancement)

enhancement

Tracking

()

RESOLVED FIXED
112 Branch
Tracking Status
firefox112 --- fixed

People

(Reporter: update-bot, Assigned: jfkthame)

References

Details

(Keywords: perf-alert, Whiteboard: [3pl-filed][task_id: TVJ6jvaNRJemFJ0ZA1MSZg])

Attachments

(1 file, 1 obsolete file)

This update covers 1046 commits.. Here are the overall diff statistics, and then the commit information.


gfx/harfbuzz/COPYING | 20 +-
gfx/harfbuzz/NEWS | 136 +
gfx/harfbuzz/configure.ac | 4 +-
gfx/harfbuzz/moz.yaml | 4 +-
gfx/harfbuzz/src/Makefile.am | 20 +
gfx/harfbuzz/src/Makefile.sources | 42 +-
gfx/harfbuzz/src/OT/Color/CBDT/CBDT.hh | 1030 ++++
gfx/harfbuzz/src/OT/Color/COLR/COLR.hh | 2203 ++++++++++
gfx/harfbuzz/src/OT/Color/COLR/colrv1-closure.hh | 107 +
gfx/harfbuzz/src/OT/Color/CPAL/CPAL.hh | 322 +
gfx/harfbuzz/src/OT/Color/sbix/sbix.hh | 452 ++
gfx/harfbuzz/src/OT/Color/svg/svg.hh | 151 +
gfx/harfbuzz/src/OT/Layout/Common/Coverage.hh | 1 +
gfx/harfbuzz/src/OT/Layout/GDEF/GDEF.hh | 918 ++++
gfx/harfbuzz/src/OT/Layout/GPOS/AnchorFormat3.hh | 12 +-
gfx/harfbuzz/src/OT/Layout/GPOS/CursivePos.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GPOS/CursivePosFormat1.hh | 4 +-
gfx/harfbuzz/src/OT/Layout/GPOS/MarkArray.hh | 4 +-
gfx/harfbuzz/src/OT/Layout/GPOS/MarkBasePos.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GPOS/MarkBasePosFormat1.hh | 95 +-
gfx/harfbuzz/src/OT/Layout/GPOS/MarkLigPos.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GPOS/MarkLigPosFormat1.hh | 29 +-
gfx/harfbuzz/src/OT/Layout/GPOS/MarkMarkPos.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GPOS/PairPos.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GPOS/PairPosFormat1.hh | 6 +-
gfx/harfbuzz/src/OT/Layout/GPOS/PairPosFormat2.hh | 12 +-
gfx/harfbuzz/src/OT/Layout/GPOS/PairSet.hh | 38 +-
gfx/harfbuzz/src/OT/Layout/GPOS/SinglePos.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GPOS/SinglePosFormat1.hh | 6 +-
gfx/harfbuzz/src/OT/Layout/GPOS/SinglePosFormat2.hh | 6 +-
gfx/harfbuzz/src/OT/Layout/GPOS/ValueFormat.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GSUB/AlternateSet.hh | 6 +-
gfx/harfbuzz/src/OT/Layout/GSUB/AlternateSubst.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GSUB/Ligature.hh | 8 +-
gfx/harfbuzz/src/OT/Layout/GSUB/LigatureSubst.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GSUB/MultipleSubst.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GSUB/ReverseChainSingleSubst.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GSUB/ReverseChainSingleSubstFormat1.hh | 4 +-
gfx/harfbuzz/src/OT/Layout/GSUB/Sequence.hh | 12 +-
gfx/harfbuzz/src/OT/Layout/GSUB/SingleSubst.hh | 2 +-
gfx/harfbuzz/src/OT/Layout/GSUB/SingleSubstFormat1.hh | 6 +-
gfx/harfbuzz/src/OT/Layout/GSUB/SingleSubstFormat2.hh | 6 +-
gfx/harfbuzz/src/OT/glyf/Glyph.hh | 158 +-
gfx/harfbuzz/src/OT/glyf/GlyphHeader.hh | 10 +-
gfx/harfbuzz/src/OT/glyf/SimpleGlyph.hh | 10 +-
gfx/harfbuzz/src/OT/glyf/SubsetGlyph.hh | 12 +-
gfx/harfbuzz/src/OT/glyf/VarCompositeGlyph.hh | 31 +-
gfx/harfbuzz/src/OT/glyf/glyf-helpers.hh | 18 +-
gfx/harfbuzz/src/OT/glyf/glyf.hh | 116 +-
gfx/harfbuzz/src/OT/glyf/path-builder.hh | 63 +-
gfx/harfbuzz/src/OT/name/name.hh | 589 ++
gfx/harfbuzz/src/check-libstdc++.py | 2 +-
gfx/harfbuzz/src/check-symbols.py | 2 +-
gfx/harfbuzz/src/graph/graph.hh | 17 +-
gfx/harfbuzz/src/graph/serialize.hh | 6 +-
gfx/harfbuzz/src/harfbuzz-cairo.pc.in | 12 +
gfx/harfbuzz/src/harfbuzz-subset.cc | 5 +
gfx/harfbuzz/src/harfbuzz.cc | 4 +
gfx/harfbuzz/src/hb-aat-layout-common.hh | 105 +-
gfx/harfbuzz/src/hb-aat-layout-kerx-table.hh | 10 +-
gfx/harfbuzz/src/hb-aat-layout-morx-table.hh | 57 +-
gfx/harfbuzz/src/hb-aat-layout.cc | 14 +-
gfx/harfbuzz/src/hb-aat-layout.hh | 4 +-
gfx/harfbuzz/src/hb-aat-map.cc | 130 +-
gfx/harfbuzz/src/hb-aat-map.hh | 45 +-
gfx/harfbuzz/src/hb-algs.hh | 2 +-
gfx/harfbuzz/src/hb-array.hh | 3 +
gfx/harfbuzz/src/hb-atomic.hh | 41 +-
gfx/harfbuzz/src/hb-bit-page.hh | 26 +-
gfx/harfbuzz/src/hb-bit-set-invertible.hh | 5 +
gfx/harfbuzz/src/hb-bit-set.hh | 18 +-
gfx/harfbuzz/src/hb-blob.cc | 6 +-
gfx/harfbuzz/src/hb-buffer-deserialize-json.hh | 412 +-
gfx/harfbuzz/src/hb-buffer-deserialize-json.rl | 4 +-
gfx/harfbuzz/src/hb-buffer-deserialize-text-glyphs.hh | 692 +++
gfx/harfbuzz/src/hb-buffer-deserialize-text-glyphs.rl | 150 +
gfx/harfbuzz/src/hb-buffer-deserialize-text-unicode.hh | 332 +
gfx/harfbuzz/src/hb-buffer-deserialize-text-unicode.rl | 129 +
gfx/harfbuzz/src/hb-buffer-deserialize-text.hh | 917 ----
gfx/harfbuzz/src/hb-buffer-deserialize-text.rl | 148 -
gfx/harfbuzz/src/hb-buffer-serialize.cc | 21 +-
gfx/harfbuzz/src/hb-buffer-verify.cc | 4 +-
gfx/harfbuzz/src/hb-buffer.cc | 38 +-
gfx/harfbuzz/src/hb-buffer.h | 2 +-
gfx/harfbuzz/src/hb-buffer.hh | 70 +-
gfx/harfbuzz/src/hb-cache.hh | 7 +-
gfx/harfbuzz/src/hb-cairo-utils.cc | 869 +++
gfx/harfbuzz/src/hb-cairo-utils.hh | 107 +
gfx/harfbuzz/src/hb-cairo.cc | 1010 ++++
gfx/harfbuzz/src/hb-cairo.h | 99 +
gfx/harfbuzz/src/hb-cff-interp-common.hh | 16 +-
gfx/harfbuzz/src/hb-cff-interp-cs-common.hh | 3 +-
gfx/harfbuzz/src/hb-cff-interp-dict-common.hh | 4 +-
gfx/harfbuzz/src/hb-cff1-interp-cs.hh | 3 +-
gfx/harfbuzz/src/hb-cff2-interp-cs.hh | 13 +-
gfx/harfbuzz/src/hb-common.cc | 26 -
gfx/harfbuzz/src/hb-common.h | 26 +
gfx/harfbuzz/src/hb-config.hh | 4 +-
gfx/harfbuzz/src/hb-coretext.cc | 1 -
gfx/harfbuzz/src/hb-cplusplus.hh | 2 +
gfx/harfbuzz/src/hb-debug.hh | 12 +-
gfx/harfbuzz/src/hb-deprecated.h | 3 +-
gfx/harfbuzz/src/hb-directwrite.cc | 12 +-
gfx/harfbuzz/src/hb-draw.cc | 65 +-
gfx/harfbuzz/src/hb-draw.h | 35 +-
gfx/harfbuzz/src/hb-face-builder.cc | 246 +
gfx/harfbuzz/src/hb-face.cc | 248 +-
gfx/harfbuzz/src/hb-face.h | 6 +
gfx/harfbuzz/src/hb-features.h.in | 76 +-
gfx/harfbuzz/src/hb-font.cc | 326 +-
gfx/harfbuzz/src/hb-font.h | 145 +-
gfx/harfbuzz/src/hb-font.hh | 120 +-
gfx/harfbuzz/src/hb-ft-colr.hh | 567 ++
gfx/harfbuzz/src/hb-ft.cc | 261 +-
gfx/harfbuzz/src/hb-gobject-structs.cc | 5 +
gfx/harfbuzz/src/hb-gobject-structs.h | 20 +
gfx/harfbuzz/src/hb-graphite2.h | 3 +-
gfx/harfbuzz/src/hb-iter.hh | 12 +-
gfx/harfbuzz/src/hb-limits.hh | 109 +
gfx/harfbuzz/src/hb-machinery.hh | 33 +-
gfx/harfbuzz/src/hb-map.cc | 86 +-
gfx/harfbuzz/src/hb-map.h | 19 +
gfx/harfbuzz/src/hb-map.hh | 75 +-
gfx/harfbuzz/src/hb-ms-feature-ranges.hh | 3 +
gfx/harfbuzz/src/hb-multimap.hh | 4 +-
gfx/harfbuzz/src/hb-mutex.hh | 5 +-
gfx/harfbuzz/src/hb-number.cc | 1 -
gfx/harfbuzz/src/hb-object.hh | 34 +-
gfx/harfbuzz/src/hb-open-type.hh | 8 +-
gfx/harfbuzz/src/hb-ot-cff1-table.cc | 19 +-
gfx/harfbuzz/src/hb-ot-cff1-table.hh | 6 +-
gfx/harfbuzz/src/hb-ot-cff2-table.cc | 19 +-
gfx/harfbuzz/src/hb-ot-cff2-table.hh | 5 +-
gfx/harfbuzz/src/hb-ot-cmap-table.hh | 45 +-
gfx/harfbuzz/src/hb-ot-color-cbdt-table.hh | 997 ----
gfx/harfbuzz/src/hb-ot-color-colr-table.hh | 1641 -------
gfx/harfbuzz/src/hb-ot-color-colrv1-closure.hh | 108 -
gfx/harfbuzz/src/hb-ot-color-cpal-table.hh | 322 -
gfx/harfbuzz/src/hb-ot-color-sbix-table.hh | 423 -
gfx/harfbuzz/src/hb-ot-color-svg-table.hh | 126 -
gfx/harfbuzz/src/hb-ot-color.cc | 55 +-
gfx/harfbuzz/src/hb-ot-color.h | 9 +
gfx/harfbuzz/src/hb-ot-deprecated.h | 18 +-
gfx/harfbuzz/src/hb-ot-face.cc | 6 +-
gfx/harfbuzz/src/hb-ot-font.cc | 166 +-
gfx/harfbuzz/src/hb-ot-hdmx-table.hh | 1 +
gfx/harfbuzz/src/hb-ot-head-table.hh | 4 +
gfx/harfbuzz/src/hb-ot-hmtx-table.hh | 81 +-
gfx/harfbuzz/src/hb-ot-layout-common.hh | 104 +-
gfx/harfbuzz/src/hb-ot-layout-gdef-table.hh | 886 +----
gfx/harfbuzz/src/hb-ot-layout-gpos-table.hh | 9 +-
gfx/harfbuzz/src/hb-ot-layout-gsub-table.hh | 9 +-
gfx/harfbuzz/src/hb-ot-layout-gsubgpos.hh | 273 +-
gfx/harfbuzz/src/hb-ot-layout.cc | 164 +-
gfx/harfbuzz/src/hb-ot-layout.h | 9 +
gfx/harfbuzz/src/hb-ot-math-table.hh | 10 +-
gfx/harfbuzz/src/hb-ot-maxp-table.hh | 13 +
gfx/harfbuzz/src/hb-ot-name-table.hh | 565 +--
gfx/harfbuzz/src/hb-ot-name.cc | 2 +
gfx/harfbuzz/src/hb-ot-name.h | 22 +-
gfx/harfbuzz/src/hb-ot-os2-table.hh | 69 +-
gfx/harfbuzz/src/hb-ot-os2-unicode-ranges.hh | 8 +-
gfx/harfbuzz/src/hb-ot-post-table.hh | 17 +-
gfx/harfbuzz/src/hb-ot-shape.cc | 43 +-
gfx/harfbuzz/src/hb-ot-shape.hh | 2 -
gfx/harfbuzz/src/hb-ot-shaper-arabic-fallback.hh | 29 +-
gfx/harfbuzz/src/hb-ot-shaper-arabic.cc | 16 +-
gfx/harfbuzz/src/hb-ot-shaper-indic-machine.hh | 2 +-
gfx/harfbuzz/src/hb-ot-shaper-indic-machine.rl | 2 +-
gfx/harfbuzz/src/hb-ot-shaper-indic.cc | 4 +-
gfx/harfbuzz/src/hb-ot-shaper-khmer-machine.hh | 2 +-
gfx/harfbuzz/src/hb-ot-shaper-khmer-machine.rl | 2 +-
gfx/harfbuzz/src/hb-ot-shaper-myanmar-machine.hh | 2 +-
gfx/harfbuzz/src/hb-ot-shaper-myanmar-machine.rl | 2 +-
gfx/harfbuzz/src/hb-ot-shaper-use-machine.hh | 2 +-
gfx/harfbuzz/src/hb-ot-shaper-use-machine.rl | 2 +-
gfx/harfbuzz/src/hb-ot-stat-table.hh | 10 +-
gfx/harfbuzz/src/hb-ot-tag.cc | 24 +-
gfx/harfbuzz/src/hb-ot-var-avar-table.hh | 4 +-
gfx/harfbuzz/src/hb-ot-var-fvar-table.hh | 18 +-
gfx/harfbuzz/src/hb-ot-var-gvar-table.hh | 6 +-
gfx/harfbuzz/src/hb-ot-var-mvar-table.hh | 9 +
gfx/harfbuzz/src/hb-outline.cc | 322 +
gfx/harfbuzz/src/hb-outline.hh | 83 +
gfx/harfbuzz/src/hb-paint-extents.cc | 330 +
gfx/harfbuzz/src/hb-paint-extents.hh | 293 +
gfx/harfbuzz/src/hb-paint.cc | 703 +++
gfx/harfbuzz/src/hb-paint.h | 987 ++++
gfx/harfbuzz/src/hb-paint.hh | 228 +
gfx/harfbuzz/src/hb-pool.hh | 2 +-
gfx/harfbuzz/src/hb-priority-queue.hh | 2 +-
gfx/harfbuzz/src/hb-repacker.hh | 6 +-
gfx/harfbuzz/src/hb-sanitize.hh | 8 +-
gfx/harfbuzz/src/hb-serialize.hh | 11 +-
gfx/harfbuzz/src/hb-set.cc | 22 +-
gfx/harfbuzz/src/hb-set.h | 3 +
gfx/harfbuzz/src/hb-set.hh | 6 +
gfx/harfbuzz/src/hb-shape-plan.cc | 6 +-
gfx/harfbuzz/src/hb-static.cc | 35 +-
gfx/harfbuzz/src/hb-subset-accelerator.hh | 47 +-
gfx/harfbuzz/src/hb-subset-cff-common.hh | 267 +-
gfx/harfbuzz/src/hb-subset-cff1.cc | 36 +-
gfx/harfbuzz/src/hb-subset-cff2.cc | 221 +-
gfx/harfbuzz/src/hb-subset-input.cc | 182 +-
gfx/harfbuzz/src/hb-subset-input.hh | 44 +-
gfx/harfbuzz/src/hb-subset-instancer-solver.cc | 464 ++
gfx/harfbuzz/src/hb-subset-plan.cc | 373 +-
gfx/harfbuzz/src/hb-subset-plan.hh | 170 +-
gfx/harfbuzz/src/hb-subset-repacker.cc | 2 +-
gfx/harfbuzz/src/hb-subset.cc | 35 +-
gfx/harfbuzz/src/hb-subset.h | 19 +-
gfx/harfbuzz/src/hb-subset.hh | 1 +
gfx/harfbuzz/src/hb-unicode.cc | 2 +-
gfx/harfbuzz/src/hb-utf.hh | 30 +-
gfx/harfbuzz/src/hb-vector.hh | 78 +-
gfx/harfbuzz/src/hb-version.h | 6 +-
gfx/harfbuzz/src/hb.h | 1 +
gfx/harfbuzz/src/hb.hh | 37 +-
gfx/harfbuzz/src/main.cc | 36 +-
gfx/harfbuzz/src/meson.build | 171 +-
gfx/harfbuzz/src/moz.build | 7 +
gfx/harfbuzz/src/test-buffer-serialize.cc | 47 +-
gfx/harfbuzz/src/test-map.cc | 72 +-
gfx/harfbuzz/src/test-ot-meta.cc | 4 +-
gfx/harfbuzz/src/test-set.cc | 30 +
gfx/harfbuzz/src/test-unicode-ranges.cc | 2 +-
gfx/harfbuzz/src/test.cc | 2 +-
227 files changed, 18202 insertions(+), 8480 deletions(-)


1046 commits elided, as they are too long for a bugzilla comment.


Duplicate of this bug: 1816273

./mach vendor gfx/harfbuzz/moz.yaml reported an error editing moz.build files:

Latest tag is 7.0.1 from 2023-02-20T15:54:12+02:00
Fetching code archive from https://github.com/harfbuzz/harfbuzz/archive/7.0.1.tar.gz
Retaining wanted in-tree files.
Cleaning gfx/harfbuzz to import changes.
Unpacking upstream files for gfx/harfbuzz.
Retaining wanted files from upstream changes.
Removing excluded files from upstream changes.
Removing: [181 (omitted) items in /tmp/tmpwuk3w2nz/test/shape/data/in-house/fonts, 52 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/colrv1, 408 (omitted) items in /tmp/tmpwuk3w2nz/test/fuzzing/fonts, 8 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gsub3: gsub_alternate_substitution.layout-test.53A9,53F1.otf, gsub_alternate_substitution.layout-test-retain-gids.53A9,53F1.otf, gsub_alternate_substitution.layout-test.53A9.otf, gsub_alternate_substitution.layout-test-retain-gids.53A9.otf, gsub_alternate_substitution.layout-test.53F1.otf, gsub_alternate_substitution.layout-test-retain-gids.53F1.otf, gsub_alternate_substitution.layout-test-retain-gids.retain-all-codepoint.otf and gsub_alternate_substitution.layout-test.retain-all-codepoint.otf, 24 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/cff-full-font, 24 (omitted) items in /tmp/tmpwuk3w2nz/test/api/results, 120 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/cmap14, 76 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/fonts, 77 (omitted) items in /tmp/tmpwuk3w2nz/test/shape/data/text-rendering-tests/fonts, 78 (omitted) items in /tmp/tmpwuk3w2nz/test/shape/data/in-house/tests, 6 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gdef.glyphset: IndicTestHowrah-Regular.default.9dd.ttf, IndicTestHowrah-Regular.default.retain-all-codepoint.ttf, IndicTestHowrah-Regular.retain-gids.9dd.ttf, IndicTestHowrah-Regular.drop-hints.9dd.ttf, IndicTestHowrah-Regular.drop-hints.retain-all-codepoint.ttf and IndicTestHowrah-Regular.retain-gids.retain-all-codepoint.ttf, 66 (omitted) items in /tmp/tmpwuk3w2nz/test/api, 234 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/basics, 6 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos9: gpos9_font2.layout-test-retain-gids.42.otf, gpos9_font2.layout-test-retain-gids.41.otf, gpos9_font2.layout-test-retain-gids.41,42.otf, gpos9_font2.layout-test.42.otf, gpos9_font2.layout-test.41.otf and gpos9_font2.layout-test.41,42.otf, 205 (omitted) items in /tmp/tmpwuk3w2nz/test/shape/data/aots/fonts, 144 (omitted) items in /tmp/tmpwuk3w2nz/test/api/fonts, 112 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/cbdt, 30 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gsub5, 128 (omitted) items in /tmp/tmpwuk3w2nz/test/shape/data/aots/tests, 8 items in /tmp/tmpwuk3w2nz/test/subset/data/repack_tests: Makefile.am, isolation.tests, advanced_prioritization.tests, basic.tests, space_splitting.tests, prioritization.tests, Makefile.sources and table_duplication.tests, 28 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/colr, 16 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/32bit_var_store, 90 (omitted) items in /tmp/tmpwuk3w2nz/test/shape/data/text-rendering-tests/tests, 18 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gsub6, 57 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/tests, 12 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos, 30 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.context, 8 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.tinos: Tinos-Italic.default.5bf,5f0,5f1,5f2,fb21,fb22,fb23,fb24,fb25,fb26,fb27,fb28.ttf, Tinos-Italic.retain-gids.5bf,5f0,5f1,5f2,fb21,fb22,fb23,fb24,fb25,fb26,fb27,fb28.ttf, Tinos-Italic.notdef-outline.5bf,5f0,5f1,5f2,fb21,fb22,fb23,fb24,fb25,fb26,fb27,fb28.ttf, Tinos-Italic.notdef-outline.retain-all-codepoint.ttf, Tinos-Italic.default.retain-all-codepoint.ttf, Tinos-Italic.glyph-names.retain-all-codepoint.ttf, Tinos-Italic.glyph-names.5bf,5f0,5f1,5f2,fb21,fb22,fb23,fb24,fb25,fb26,fb27,fb28.ttf and Tinos-Italic.retain-gids.retain-all-codepoint.ttf, 10 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout, 48 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/full-font, 4 items in /tmp/tmpwuk3w2nz/m4: ax_pthread.m4, ax_check_link_flag.m4, ax_code_coverage.m4 and ax_cxx_compile_stdcxx.m4, 35 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/profiles, 20 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos2, 20 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos5, 13 (omitted) items in /tmp/tmpwuk3w2nz/test/shape, 7 items in /tmp/tmpwuk3w2nz/test/shape/data/text-rendering-tests: Makefile.sources, DISABLED, update.py, meson.build, README, Makefile.am and COPYING, 7 items in /tmp/tmpwuk3w2nz/test/subset: run-tests.py, subset_test_suite.py, generate-expected-outputs.py, run-repack-tests.py, Makefile.am, meson.build and repack_test.py, 25 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/cmap, 12 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gdef-varstore, 28 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.notonastaliqurdu, 12 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/colrv1_copy_varstore, 18 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gsub8, 20 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos6, 28 (omitted) items in /tmp/tmpwuk3w2nz/util, 24 (omitted) items in /tmp/tmpwuk3w2nz/docs, 40 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/cff-japanese, 8 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/post: SreeKrushnadevaraya-Regular.retain-gids.c30,c36,c40,c4d.ttf, SreeKrushnadevaraya-Regular.notdef-outline.c30,c36,c40,c4d.ttf, SreeKrushnadevaraya-Regular.glyph-names.c30,c36,c40,c4d.ttf, SreeKrushnadevaraya-Regular.default.c30,c36,c40,c4d.ttf, SreeKrushnadevaraya-Regular.glyph-names.retain-all-codepoint.ttf, SreeKrushnadevaraya-Regular.default.retain-all-codepoint.ttf, SreeKrushnadevaraya-Regular.retain-gids.retain-all-codepoint.ttf and SreeKrushnadevaraya-Regular.notdef-outline.retain-all-codepoint.ttf, 3 items in /tmp/tmpwuk3w2nz/test/shape/data/in-house: meson.build, Makefile.sources and Makefile.am, /tmp/tmpwuk3w2nz/test/subset/data/expected/instance_feature_variations/MPLUS1-Variable.default.30DD.wght=100.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/instance_feature_variations/MPLUS1-Variable.default.30DD.wght=400.ttf, 9 items in /tmp/tmpwuk3w2nz/perf: benchmark-set.cc, benchmark-font.cc, benchmark-shape.cc, meson.build, Makefile.am, benchmark-ot.cc, benchmark-subset.cc, benchmark-map.cc and README.md, 4 items in /tmp/tmpwuk3w2nz/test/threads: meson.build, Makefile.am, hb-shape-threads.cc and hb-subset-threads.cc, 15 (omitted) items in /tmp/tmpwuk3w2nz, 8 items in /tmp/tmpwuk3w2nz/.github/workflows: macos-ci.yml, msys2-ci.yml, configs-build.yml, coverity-scan.yml, linux-ci.yml, cifuzz.yml, arm-ci.yml and msvc-ci.yml, 5 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/math_coverage_offset: Caudex-Regular.glyph-names.retain-all-codepoint.ttf, Caudex-Regular.keep-all-layout-features.retain-all-codepoint.ttf, Caudex-Regular.retain-gids.retain-all-codepoint.ttf, Caudex-Regular.notdef-outline.retain-all-codepoint.ttf and Caudex-Regular.default.retain-all-codepoint.ttf, 4 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/colr_with_components: colr-table.drop-hints.6B.ttf, colr-table.retain-gids.6B.ttf, colr-table.drop-hints-retain-gids.6B.ttf and colr-table.default.6B.ttf, 18 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos8, 6 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.khmer: Khmer.retain-gids.31.ttf, Khmer.default.1789,17BB,17C6,1794,17B6,1793,1798,17BE.ttf, Khmer.retain-gids.1780.ttf, Khmer.default.31.ttf, Khmer.default.1780.ttf and Khmer.retain-gids.1789,17BB,17C6,1794,17B6,1793,1798,17BE.ttf, 6 items in /tmp/tmpwuk3w2nz/subprojects: ragel.wrap, glib.wrap, google-benchmark.wrap, .gitignore, cairo.wrap and freetype2.wrap, 21 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/japanese, 14 (omitted) items in /tmp/tmpwuk3w2nz/test/fuzzing, 12 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gdef-attachlist, 8 items in /tmp/tmpwuk3w2nz/test/fuzzing/graphs: leak-a77f29b25edb873729f3ab120148fdb213cfa527, crash-442bfac994a3d9929cf06262ae9fb00f6ee1f774, clusterfuzz-testcase-minimized-hb-repacker-fuzzer-6714085985353728, clusterfuzz-testcase-minimized-hb-repacker-fuzzer-5390364397928448, clusterfuzz-testcase-minimized-hb-repacker-fuzzer-6014493291577344, crash-3bf72494aa4c9f8cbbcbf887fdc2a2858c87feb4, noto_nastaliq_urdu and clusterfuzz-testcase-minimized-hb-repacker-fuzzer-5475787333828608, 20 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos4, 5 items in /tmp/tmpwuk3w2nz/perf/texts: fa-thelittleprince.txt, en-thelittleprince.txt, en-words.txt, hi-words.txt and fa-words.txt, 10 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos3, 6 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.duplicate_features: AlegreyaSans-BlackItalic.notdef-outline.retain-all-codepoint.ttf, AlegreyaSans-BlackItalic.notdef-outline.20,2f,38,49,4c,51,53,66,67,6f,b4,2044.ttf, AlegreyaSans-BlackItalic.default.retain-all-codepoint.ttf, AlegreyaSans-BlackItalic.glyph-names.retain-all-codepoint.ttf, AlegreyaSans-BlackItalic.default.20,2f,38,49,4c,51,53,66,67,6f,b4,2044.ttf and AlegreyaSans-BlackItalic.glyph-names.20,2f,38,49,4c,51,53,66,67,6f,b4,2044.ttf, 10 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gpos8.amiri, /tmp/tmpwuk3w2nz/test/subset/data/expected/instance_no_double_free/Handjet.notdef-outline.retain-all-codepoint.wght=100,ELGR=1,ELSH=2.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/instance_no_double_free/Handjet.default.retain-all-codepoint.wght=100,ELGR=1,ELSH=2.ttf, 6 items in /tmp/tmpwuk3w2nz/.ci: win64-cross-file.txt, build-win32.sh, deploy-docs.sh, build-win64.sh, publish_release_artifact.sh and win32-cross-file.txt, /tmp/tmpwuk3w2nz/test/subset/data/expected/glyph_names/Ubuntu-Regular.glyph-names.retain-all-codepoint.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/glyph_names/Ubuntu-Regular.glyph-names.0x0,0x8,0x9,0x1d,0x20,0xb7.ttf, 15 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gdef, 12 (omitted) items in /tmp/tmpwuk3w2nz/test/subset/data/expected/sbix, 3 items in /tmp/tmpwuk3w2nz/test: COPYING, meson.build and Makefile.am, 6 items in /tmp/tmpwuk3w2nz/test/shape/data/aots: meson.build, update.py, Makefile.am, Makefile.sources, COPYING and hb-aots-tester.cpp, /tmp/tmpwuk3w2nz/test/subset/data/expected/pin_all_at_default/Roboto-Variable.ABC.default.retain-all-codepoint.wght=drop,wdth=100.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/pin_all_at_default/Roboto-Variable.ABC.default.retain-all-codepoint.wght=400,wdth=100.0.ttf, 4 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/colr_glyphs: BungeeColor-Regular.default.41.ttf, BungeeColor-Regular.retain-gids.41.ttf, BungeeColor-Regular.drop-hints.41.ttf and BungeeColor-Regular.drop-hints-retain-gids.41.ttf, 4 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/instantiate_glyf: Roboto-Variable.ABC.default.retain-all-codepoint.wght=650,wdth=85.ttf, Roboto-Variable.composite.default.retain-all-codepoint.wght=200,wdth=90.ttf, Roboto-Variable.ABC.default.retain-all-codepoint.wght=200,wdth=90.ttf and Roboto-Variable.composite.default.retain-all-codepoint.wght=650,wdth=85.ttf, 5 items in /tmp/tmpwuk3w2nz/test/fuzzing/sets: clusterfuzz-testcase-minimized-hb-set-fuzzer-6255224052514816, intersect_01, symmetric_diff_01, union_01 and subtract_01, /tmp/tmpwuk3w2nz/.circleci/config.yml, /tmp/tmpwuk3w2nz/test/shape/data/Makefile.am, 8 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/math: STIXTwoMath-Regular.retain-gids.2f,7c,305.ttf, STIXTwoMath-Regular.notdef-outline.retain-all-codepoint.ttf, STIXTwoMath-Regular.retain-gids.retain-all-codepoint.ttf, STIXTwoMath-Regular.notdef-outline.2f,7c,305.ttf, STIXTwoMath-Regular.default.2f,7c,305.ttf, STIXTwoMath-Regular.glyph-names.2f,7c,305.ttf, STIXTwoMath-Regular.glyph-names.retain-all-codepoint.ttf and STIXTwoMath-Regular.default.retain-all-codepoint.ttf, /tmp/tmpwuk3w2nz/test/subset/data/Makefile.sources, /tmp/tmpwuk3w2nz/test/subset/data/Makefile.am, 4 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/full_instance: Roboto-Variable.default.retain-all-codepoint.wght=300,wdth=90.ttf, Roboto-Variable.no-prune-unicode-ranges.retain-all-codepoint.wght=300,wdth=90.ttf, Roboto-Variable.no-prune-unicode-ranges.retain-all-codepoint.wght=150,wdth=80.ttf and Roboto-Variable.default.retain-all-codepoint.wght=150,wdth=80.ttf, 4 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/glyf_bug_3131: glyf_bug_3131.retain-gids.retain-all-codepoint.ttf, glyf_bug_3131.drop-hints-retain-gids.63,64,65,6F,70,71,72.ttf, glyf_bug_3131.retain-gids.63,64,65,6F,70,71,72.ttf and glyf_bug_3131.drop-hints-retain-gids.retain-all-codepoint.ttf, /tmp/tmpwuk3w2nz/subprojects/packagefiles/ragel/meson.build, 6 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.unsorted_featurelist: NotoIKEAHebrewLatin-Regular.retain-gids.392,3a7,3b2,3c7.ttf, NotoIKEAHebrewLatin-Regular.retain-gids.retain-all-codepoint.ttf, NotoIKEAHebrewLatin-Regular.layout-test.392,3a7,3b2,3c7.ttf, NotoIKEAHebrewLatin-Regular.layout-test.retain-all-codepoint.ttf, NotoIKEAHebrewLatin-Regular.default.retain-all-codepoint.ttf and NotoIKEAHebrewLatin-Regular.default.392,3a7,3b2,3c7.ttf, 3 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.drop_feature: SpectralSC-ExtraLightItalic.notdef-outline.retain-all-codepoint.ttf, SpectralSC-ExtraLightItalic.glyph-names.retain-all-codepoint.ttf and SpectralSC-ExtraLightItalic.default.retain-all-codepoint.ttf, 4 items in /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.gsub5_format2: Molengo-Regular.layout-test-retain-gids.retain-all-codepoint.ttf, Molengo-Regular.layout-test.retain-all-codepoint.ttf, Molengo-Regular.layout-test.268,301,302,324.ttf and Molengo-Regular.layout-test-retain-gids.268,301,302,324.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/mvar_full_instance/NotoSans-VF.abc.no-layout.retain-all-codepoint.wght=300,wdth=90,CTGR=0.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/mvar_full_instance/NotoSans-VF.abc.no-layout.retain-all-codepoint.wght=150,wdth=80,CTGR=0.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/variable/Fraunces.default.26,66,69,124,125.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/variable/Fraunces.default.61.ttf, 3 items in /tmp/tmpwuk3w2nz/perf/fonts: Amiri-Regular.ttf, NotoNastaliqUrdu-Regular.ttf and Roboto-Regular.ttf, /tmp/tmpwuk3w2nz/.github/dependabot.yml, /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.context_format2/NotoSansNewa-Regular.layout-test-retain-gids.retain-all-codepoint.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/layout.context_format2/NotoSansNewa-Regular.layout-test.retain-all-codepoint.ttf, /tmp/tmpwuk3w2nz/test/subset/data/expected/cff.notoserifmyanmar/NotoSerifMyanmar-Regular.notdef-outline.1092.otf, /tmp/tmpwuk3w2nz/test/subset/data/expected/instance_comp_glyph_empty_child/RobotoMono.default.retain-all-codepoint.wght=700.ttf]
Copying to gfx/harfbuzz.
Checking for update actions
Registering changes with version control.
Checking for a spurious update.
Version '7.0.1' has changed 225 files.
Updating moz.yaml.
Found release: 6.0.0 (2022-12-16T23:14:57+02:00).

Found revision: 6.0.0

Updating moz.build files
Found 7 files added and 8 files removed.
Could not remove gfx/harfbuzz/src/hb-buffer-deserialize-text.hh from the appropriate moz.build file
Could not remove gfx/harfbuzz/src/hb-buffer-deserialize-text.rl from the appropriate moz.build file
Could not remove gfx/harfbuzz/src/hb-ot-color-cbdt-table.hh from the appropriate moz.build file
Could not remove gfx/harfbuzz/src/hb-ot-color-colr-table.hh from the appropriate moz.build file
Could not remove gfx/harfbuzz/src/hb-ot-color-colrv1-closure.hh from the appropriate moz.build file
Could not remove gfx/harfbuzz/src/hb-ot-color-cpal-table.hh from the appropriate moz.build file
Could not remove gfx/harfbuzz/src/hb-ot-color-sbix-table.hh from the appropriate moz.build file
Could not remove gfx/harfbuzz/src/hb-ot-color-svg-table.hh from the appropriate moz.build file
This is a deficiency in ./mach vendor . Please review the affected files before committing.

We're going to continue processing the update; but we may fail because we couldn't handle these files. If we do succeed, you may want to add these files to the 'exclude' key in the moz.yaml file, so they are excluded from the source tree and ignored in the future.

Attached file Bug 1817854 - Update harfbuzz to 7.0.1 (obsolete) —

It looks like we experienced one or more build failures when trying to apply this
update. You will need to apply this update manually; you can replicate the patch
locally with ./mach vendor gfx/harfbuzz/moz.yaml. I'm going to abandon the Phabricator patch and
let you submit a new one.

If the build failure wasn't caused by a library change, and was instead caused by
something structural in the build system please let my maintainers know in
Slack:#secinf.

I do my best to automatically add new files to the build, but some moz.build files
are complicated and you may need to fix them manually.

Flags: needinfo?(jfkthame)
Attachment #9318807 - Attachment is obsolete: true
See Also: → 1817366
Assignee: nobody → jfkthame
Status: NEW → ASSIGNED
Pushed by jkew@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9c9effc222cc
Update harfbuzz to release 7.0.1. r=gfx-reviewers,lsalzman
Status: ASSIGNED → RESOLVED
Closed: 1 year ago
Resolution: --- → FIXED
Target Milestone: --- → 112 Branch

(In reply to Pulsebot from comment #7)

Pushed by jkew@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9c9effc222cc
Update harfbuzz to release 7.0.1. r=gfx-reviewers,lsalzman

== Change summary for alert #37371 (as of Tue, 28 Feb 2023 05:40:46 GMT) ==

Improvements:

Ratio Test Platform Options Absolute values (old vs new)
7% Heap Unclassified windows10-64-2004-shippable-qr fission tp6 98,861,660.99 -> 91,885,189.61
6% Heap Unclassified windows10-64-2004-shippable-qr fission tp6 98,250,606.88 -> 92,786,946.83

For up to date results, see: https://treeherder.mozilla.org/perfherder/alerts?id=37371

Regressions: 1819843
Flags: needinfo?(jfkthame)
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Creator:
Created:
Updated:
Size: